Langsung ke konten utama
GET
/
v3
/
variants
/
{variant_id}
/
digital-product-files
List variant digital product files
curl --request GET \
  --url https://api.scalev.com/v3/variants/{variant_id}/digital-product-files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "content_type": "<string>",
      "id": 123,
      "name": "<string>",
      "size_in_bytes": 123,
      "url": "<string>"
    }
  ],
  "is_paginated": true,
  "has_next": false,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 25
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

variant_id
string
wajib

Parameter Query

next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

page_size
integer

Number of items per page (default: 25, max: 25)

Rentang yang diperlukan: x <= 25
Contoh:

25

Respons

Paginated list of digital product files

Paginated list payload for v3.

data
DigitalProductFile · object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
Contoh:

true

has_next
boolean
default:false
Contoh:

false

has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer
default:25
Contoh:

25